## NAME

m.lulc.read - Extracts Landuse/Landcover data in the ASCII Composite Theme Grid (CTG) data format distributed by the USGS in to a working file for m.lulc.USGS .
(GRASS Data Import/Processing Program)

## SYNOPSIS

dd [if=tapedev] ibs=input block_size cbs=80 conv=unblock | m.lulc.read arg1

## DESCRIPTION

m.lulc.read extracts USGS Land Use/Land Cover data distributed in the ASCII CTG format. Extracted data is placed into a file specified by arg1. m.lulc.read should be used prior to using the GRASS program m.lulc.USGS .

m.lulc.read reads the data from standard input, allowing the user to pipe in the data from a file.

Data can also be read directly from the 1/2-inch magnetic tape distributed by USGS, by using the UNIX command dd.

### Parameters:

if=tapedev
  The pathname of the input tape drive (usually /dev/rmt0).
ibs=input
  The physical blocking value of the data on tape, usually written on the tape spool. If this value is unknown, run m.examine.tape prior to m.lulc.read.
cbs
  This is the conversion blocking factor for ASCII CTG file and is by default set to 80.
conv
  Set conv to unblock when extracting ASCII CTG data.
arg1
  The name of the output file where the data will be stored in binary format.

## EXAMPLES

READING FROM A FILE:

  m.lulc.read outfile < infile

The above command will read the data from infile and place the results into outfile. Note that infile must be extracted from the USGS CTG 1/2 magnetic tape using the UNIX dd command:

  dd if=/dev/rmt0 of=infile ibs=32000 cbs=80 conv=unblock

READING DIRECTLY FROM 1/2 INCH MAGNETIC TAPE:

  dd if=/dev/rmt0 ibs=32000 cbs=80 conv=unblock | m.lulc.read outfile

The above command will extract data with a blocksize of 32000 from /dev/rmt0, and put the results in the file outfile.

## SEE ALSO

UNIX manual entry for dd

m.examine.tape
m.lulc.USGS

## AUTHOR

Kenneth Shepardson, Spectrum Sciences & Software, Inc. (904) 862-3031

Last changed: $Date: 2002/01/25 05:45:33 $